org.apache.lucene.analysis.cn

## Class ChineseFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.cn.ChineseFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

Deprecated.
(3.1) Use `StopFilter` instead, which has the same functionality. This filter will be removed in Lucene 5.0

    @Deprecated
    public final class ChineseFilter
    extends TokenFilter

A `TokenFilter` with a stop word table.

- Numeric tokens are removed.
- English tokens must be larger than 1 character.
- One Chinese character as one Chinese word.

TO DO:

1. Add Chinese stop words, such as 
2. Dictionary based Chinese word extraction
3. Intelligent Chinese word extraction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

Fields
`static String[]` `STOP_WORDS` Deprecated.

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Constructor Summary

Constructors
Constructor and Description
`ChineseFilter(TokenStream in)` Deprecated.

### Method Summary

Methods
`boolean` `incrementToken()` Deprecated.

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end, reset`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STOP_WORDS

    public static final String[] STOP_WORDS

Deprecated.

### Constructor Detail

#### ChineseFilter

    public ChineseFilter(TokenStream in)

Deprecated.

### Method Detail

#### incrementToken

    public boolean incrementToken()
                           throws IOException

Deprecated.

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`